javax.resource.spi

## Annotation Type Connector

-     @Documented
      @Retention(value=RUNTIME)
      @Target(value=TYPE)
      public @interface Connector

  The `Connector` annotation is a component-defining annotation and it can be used by the resource adapter developer to specify that the JavaBean is a resource adapter JavaBean. The Connector annotation is applied to the JavaBean class.
  Since:
    1.6
  Version:
    Java EE Connector Architecture 1.6

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `AuthenticationMechanism[]` | `authMechanisms` Specifies the authentication mechanisms supported by the resource adapter.
    `String[]` | `description` Describes the resource adapter module.
    `String[]` | `displayName` An optional short name, providing information about the resource adapter module, that is intended to be displayed by tools.
    `String` | `eisType` Contains information about the type of EIS.
    `String[]` | `largeIcon` Specifies the file name for large GIF or JPEG icon images that are used to represent the resource adapter in a GUI tool.
    `String[]` | `licenseDescription` Specifies licensing requirements for the resource adapter module and an optional description of the licensing terms .
    `boolean` | `licenseRequired` Specifies whether a license is required to deploy and use this resource adapter
    `boolean` | `reauthenticationSupport` Specifies whether a license is required to deploy and use this resource adapter
    `Class<? extends WorkContext>[]` | `requiredWorkContexts` Specifies a list of fully qualified classes that implements the `WorkContext` interface that a resource adapter requires the application server to support.
    `SecurityPermission[]` | `securityPermissions` Specifies the extended security permissions required to be provided for the operation of the resource adapter module
    `String[]` | `smallIcon` Specifies the file name for small GIF or JPEG icon images that are used to represent the resource adapter in a GUI tool.
    `TransactionSupport.TransactionSupportLevel` | `transactionSupport` Specifies the level of transaction support provided by the resource adapter.
    `String` | `vendorName` Specifies the name of the resource adapter provider vendor.
    `String` | `version` Specifies the version of the resource adapter implementation.

- - ### Element Detail

    - #### description

          public abstract String[] description

      Describes the resource adapter module.
      Default:
        {}

    - #### displayName

          public abstract String[] displayName

      An optional short name, providing information about the resource adapter module, that is intended to be displayed by tools.
      Default:
        {}

    - #### smallIcon

          public abstract String[] smallIcon

      Specifies the file name for small GIF or JPEG icon images that are used to represent the resource adapter in a GUI tool. Each smallIcon must be associated with a largeIcon element and the application server must use the ordinal value in their respective arrays to find the related pairs of icons.
      Default:
        {}

    - #### largeIcon

          public abstract String[] largeIcon

      Specifies the file name for large GIF or JPEG icon images that are used to represent the resource adapter in a GUI tool. Each smallIcon must be associated with a largeIcon element and the application server must use the ordinal value in their respective arrays to find the related pairs of icons.
      Default:
        {}

    - #### vendorName

          public abstract String vendorName

      Specifies the name of the resource adapter provider vendor.
      Default:
        ""

    - #### eisType

          public abstract String eisType

      Contains information about the type of EIS. For example, the type of an EIS can be product name of the EIS independent of any version info.This helps in identifying EIS instances that can be used with this resource adapter.
      Default:
        ""

    - #### version

          public abstract String version

      Specifies the version of the resource adapter implementation.
      Default:
        ""

    - #### licenseDescription

          public abstract String[] licenseDescription

      Specifies licensing requirements for the resource adapter module and an optional description of the licensing terms .
      Default:
        {}

    - #### licenseRequired

          public abstract boolean licenseRequired

      Specifies whether a license is required to deploy and use this resource adapter
      Default:
        false

    - #### authMechanisms

          public abstract AuthenticationMechanism[] authMechanisms

      Specifies the authentication mechanisms supported by the resource adapter.
      See Also:
        `AuthenticationMechanism`
      Default:
        {}

    - #### reauthenticationSupport

          public abstract boolean reauthenticationSupport

      Specifies whether a license is required to deploy and use this resource adapter
      Default:
        false

    - #### securityPermissions

          public abstract SecurityPermission[] securityPermissions

      Specifies the extended security permissions required to be provided for the operation of the resource adapter module
      See Also:
        `SecurityPermission`
      Default:
        {}

    - #### transactionSupport

          public abstract TransactionSupport.TransactionSupportLevel transactionSupport

      Specifies the level of transaction support provided by the resource adapter.
      See Also:
        `TransactionSupport.TransactionSupportLevel`
      Default:
        javax.resource.spi.TransactionSupport.TransactionSupportLevel.NoTransaction

    - #### requiredWorkContexts

          public abstract Class<? extends WorkContext>[] requiredWorkContexts

      Specifies a list of fully qualified classes that implements the `WorkContext` interface that a resource adapter requires the application server to support.
      Default:
        {}

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.